Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a url field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the format and attachment categories are allowed.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Invopop","colors":{"primary":"#169958","light":"#169958","dark":"#103830"},"logo":{"light":"https://mintcdn.com/invopop/tvrHhZ01dWh1WgVy/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=tvrHhZ01dWh1WgVy\u0026q=85\u0026s=acee80bf7ace42a69f7bc31d48bac07d","dark":"https://mintcdn.com/invopop/tvrHhZ01dWh1WgVy/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=tvrHhZ01dWh1WgVy\u0026q=85\u0026s=8682d855b2ae592f840a2e75835dd6a4"},"favicon":"https://mintcdn.com/invopop/RHaqrZ8_qKav21l4/favicon.png?fit=max\u0026auto=format\u0026n=RHaqrZ8_qKav21l4\u0026q=85\u0026s=40f5b8d569abe96aa51c7d89f608f971","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.invopop.com"}},"navbar":{"links":[{"href":"https://www.invopop.com/contact","label":"Contact us"},{"href":"https://community.invopop.com","label":"Community"}]},"footer":{"socials":{"x":"https://x.com/goInvopop","linkedin":"https://www.linkedin.com/company/invopop","github":"https://github.com/invopop"}},"fonts":{"family":"Inter"},"styling":{"codeblocks":"system","latex":true},"integrations":{"plausible":{"domain":"docs.invopop.com"}},"contextual":{"options":["copy","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"invopop","hasAudioNarration":false,"actualSubdomain":"invopop","customDomains":["docs.invopop.com"],"gitSource":{"type":"github","owner":"invopop","repo":"docs.invopop.com","deployBranch":"main","contentDirectory":"","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb612ccc761ce6b05bd221","collectionId":"e9d89cb9-9181-4d43-841a-f3d28821fb28","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb612ccc761ce6b05bd221"},"feedback":{"thumbs":true,"edits":true,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aeb612ccc761ce6b05bd221","clientVersion":"0.0.4067","searchFilterCounts":[{"language":"default","tag":"Get Started","count":91},{"language":"default","tag":"API Reference","count":88},{"language":"default","tag":"Apps","count":86},{"language":"default","tag":"Country compliance","count":86},{"language":"default","tag":"Guides","count":82},{"language":"default","tag":"Countries","count":57},{"language":"default","tag":"Europe","count":46},{"language":"default","tag":"Platform","count":39},{"language":"default","tag":"France","count":28},{"language":"default","tag":"Console","count":25}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"[data-component-part=card-icon]{min-width:24px}.card .icon{margin:0;position:relative;top:-1px;width:20px!important;height:20px!important}.pop-count{position:absolute;top:16px;right:16px;font-size:12px;font-weight:bold}.pop-count .icon{margin-right:3px}table tr:has(th:empty){display:none}.update table td,.tab-container table td{min-width:auto}.tab-container table td{white-space:nowrap}.dark\\:bg-primary-light:is(.dark *){background:transparent}h4 .icon,h4 .icon+a{opacity:0.7;font-size:14px;border-bottom:none}h4 .icon{margin-left:1em}h4 .icon+a:hover{opacity:1}h4+div>.table td{min-width:auto}button:has(svg[style*=\"transporter-empty\"]),a:has(svg[style*=\"transporter-empty\"]){opacity:0.4}button:has(img[src*=\"coming-soon\"]),a:has(img[src*=\"coming-soon\"]){opacity:0.4}div:has(>svg[style*=\"transporter-empty\"]),svg[style*=\"transporter-empty\"]{position:absolute;display:none}td .icon{margin-top:12px!important;margin-bottom:12px!important;margin-right:8px!important}.country{margin:-2em 0;background:#f6f6f6;padding:4px}h2:has(+.country){margin-bottom:2em}div[data-component-part=\"accordion-content\"]{overflow-x:hidden!important}.grow+[data-table-wrapper=true]{padding:0}.grow+[data-table-wrapper=true]>div.table{margin:0 0 0 1rem}a[href=\"https://www.mintlify.com?utm_campaign=poweredBy\u0026utm_medium=referral\u0026utm_source=undefined\"]{display:none}img[src*=\"apps/tables/icon.svg\"]:is(.dark *){content:url(\"https://assets.invopop.com/apps/tables/icon-white.svg\")}"}],"page":{"pagePath":"api-ref/silo/entries/files-put","slug":"/api-ref/silo/entries/files-put","pageMetadata":{"title":"Create a file with ID","sidebarTitle":"Create file","openapi":"PUT /silo/v1/entries/{entry_id}/files/{id}","description":"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a `url` field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the `format` and `attachment` categories are allowed.","href":"/api-ref/silo/entries/files-put"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a \", _jsx(_components.code, {\n children: \"url\"\n }), \" field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the \", _jsx(_components.code, {\n children: \"format\"\n }), \" and \", _jsx(_components.code, {\n children: \"attachment\"\n }), \" categories are allowed.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Create a file with ID","sidebarTitle":"Create file","openapi":"PUT /silo/v1/entries/{entry_id}/files/{id}","description":"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a `url` field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the `format` and `attachment` categories are allowed.","href":"/api-ref/silo/entries/files-put"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a `url` field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the `format` and `attachment` categories are allowed.","parameters":["daa93922-7124-4be7-bfbf-ef5cc1f5d79a","a48c4aeb-2d7f-44be-aefa-acdefef4a07d"],"requestBody":"b8255b4f-6897-4eaf-aaec-b72c7dd15820","responses":{"200":"ee3fe3e4-920c-4667-9884-3e0598782ccc"},"method":"put","type":"path","servers":["a1bb5afe-6749-4d1e-9275-ad3af095084a"],"security":["e264545a-47e8-422d-b2e9-615acd976828"],"path":"/silo/v1/entries/{entry_id}/files/{id}","baseUrlOptions":["https://api.invopop.com"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"daa93922-7124-4be7-bfbf-ef5cc1f5d79a":{"description":"UUID of file to create","in":"path","name":"id","required":true,"schema":{"description":"UUID of file to create","example":"347c5b04-cde2-11ed-afa1-0242ac120002","title":"ID","type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"a48c4aeb-2d7f-44be-aefa-acdefef4a07d":{"description":"UUID of the silo entry.","in":"path","name":"entry_id","required":true,"schema":{"description":"UUID of the silo entry.","title":"Entry ID","type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"properties":{"name":{"description":"Name of the file.","example":"invoice.pdf","title":"Name","type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"category":{"description":"Category of the file.","example":"format","title":"Category","type":"string","uniqueKey":"category","typeLabel":"string"},"data":{"description":"Base64 encoded binary data. Optional - if not provided, sha256, size, and mime are required.","format":"byte","type":"string","uniqueKey":"data","typeLabel":"string\u003cbyte>"},"desc":{"description":"Description of the file.","example":"Invoice for January 2021.","title":"Description","type":"string","uniqueKey":"desc","typeLabel":"string"},"embeddable":{"description":"When true, this file may be embedded inside other files, like PDFs. Default is false.","example":true,"title":"Embeddable","type":"boolean","uniqueKey":"embeddable","typeLabel":"boolean"},"key":{"description":"Key used to identify the file in the entry.","example":"pdf","title":"Key","type":"string","uniqueKey":"key","typeLabel":"string"},"meta":{"additionalProperties":{"type":"string","uniqueKey":"meta.additionalProperties","typeLabel":"string"},"description":"Any additional meta data about the file.","title":"Meta","type":"object","uniqueKey":"meta","typeLabel":"Meta · object"},"mime":{"description":"MIME type of the file. Required when data is not provided.","example":"application/pdf","title":"MIME","type":"string","uniqueKey":"mime","typeLabel":"string"},"private":{"description":"When true, this file is private and can only be accessed by the owner. Default is false.","example":true,"title":"Private","type":"boolean","uniqueKey":"private","typeLabel":"boolean"},"sha256":{"description":"SHA256 hex hash of the file. Required when data is not provided.","example":"27a0b656df99dc32124b4c49f2f3c35025f0a7453f289cbaa0701435cfcf4e28","title":"SHA256","type":"string","uniqueKey":"sha256","typeLabel":"string"},"size":{"description":"Size of the file in bytes. Required when data is not provided.","example":12345,"title":"Size","type":"integer","uniqueKey":"size","typeLabel":"integer"}},"required":["name"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"invoice.pdf","category":"format","data":"aSDinaTvuI8gbWludGxpZnk=","desc":"Invoice for January 2021.","embeddable":true,"key":"pdf","meta":{},"mime":"application/pdf","private":true,"sha256":"27a0b656df99dc32124b4c49f2f3c35025f0a7453f289cbaa0701435cfcf4e28","size":12345}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ee3fe3e4-920c-4667-9884-3e0598782ccc":{"content":{"application/json":{"schema":{"properties":{"category":{"description":"Category of the file.","example":"version","title":"Category","type":"string","uniqueKey":"category","typeLabel":"string"},"created_at":{"description":"The date and time this file was created.","example":"2018-01-01T00:00:00.000Z","title":"Created At","type":"string","uniqueKey":"created_at","typeLabel":"string"},"desc":{"description":"Description of the file.","example":"Invoice for January 2021.","title":"Description","type":"string","uniqueKey":"desc","typeLabel":"string"},"embeddable":{"description":"When true, the file can be embedded inside another file, like a PDF.","example":true,"title":"Embeddable","type":"boolean","uniqueKey":"embeddable","typeLabel":"boolean"},"entry_id":{"description":"The UUID of the entry this file belongs to.","example":"347c5b04-cde2-11ed-afa1-0242ac120002","title":"Entry ID","type":"string","uniqueKey":"entry_id","typeLabel":"string"},"hash":{"description":"SHA256 hash of the file.","example":"a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6","title":"Hash","type":"string","uniqueKey":"hash","typeLabel":"string"},"id":{"description":"The UUID that identifies the file in the entry.","title":"ID","type":"string","uniqueKey":"id","typeLabel":"string"},"key":{"description":"Key used to identify the file by the service or app that generated it.","example":"pdf","title":"Key","type":"string","uniqueKey":"key","typeLabel":"string"},"meta":{"additionalProperties":{"type":"string","uniqueKey":"meta.additionalProperties","typeLabel":"string"},"description":"Any additional meta data about the file.","title":"Meta","type":"object","uniqueKey":"meta","typeLabel":"Meta · object"},"mime":{"description":"MIME type of the file.","example":"application/pdf","title":"MIME","type":"string","uniqueKey":"mime","typeLabel":"string"},"name":{"description":"Name of the file.","example":"invoice.pdf","title":"Name","type":"string","uniqueKey":"name","typeLabel":"string"},"previous":{"description":"Set of previous versions of the file.","items":{"properties":{"created_at":{"description":"The date and time this file was created.","example":"2018-01-01T00:00:00.000Z","title":"Created At","type":"string","uniqueKey":"previous.items.[INDEX].created_at","typeLabel":"string"},"hash":{"description":"The SHA256 of the file's contents.","title":"Hash","type":"string","uniqueKey":"previous.items.[INDEX].hash","typeLabel":"string"},"id":{"description":"The UUID that identifies the file when it was originally uploaded.","title":"ID","type":"string","uniqueKey":"previous.items.[INDEX].id","typeLabel":"string"},"size":{"description":"Size of the file.","title":"Size","type":"integer","uniqueKey":"previous.items.[INDEX].size","typeLabel":"integer"}},"type":"object","uniqueKey":"previous.items.[INDEX]","typeLabel":"object"},"title":"Previous","type":"array","uniqueKey":"previous","typeLabel":"Previous · object[]"},"private":{"description":"When true, the file will not have a public link.","title":"Private","type":"boolean","uniqueKey":"private","typeLabel":"boolean"},"size":{"description":"Size of the file in bytes.","example":12345,"title":"Size","type":"integer","uniqueKey":"size","typeLabel":"integer"},"stored":{"description":"When true, indicates that the file's contents have been uploaded successfully.","example":true,"title":"Stored","type":"boolean","uniqueKey":"stored","typeLabel":"boolean"},"url":{"description":"URL where the file's contents can be downloaded.","title":"Public URL","type":"string","uniqueKey":"url","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"category":"version","created_at":"2018-01-01T00:00:00.000Z","desc":"Invoice for January 2021.","embeddable":true,"entry_id":"347c5b04-cde2-11ed-afa1-0242ac120002","hash":"a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2w3x4y5z6","id":"\u003cstring>","key":"pdf","meta":{},"mime":"application/pdf","name":"invoice.pdf","previous":[{"created_at":"2018-01-01T00:00:00.000Z","hash":"\u003cstring>","id":"\u003cstring>","size":123}],"private":true,"size":12345,"stored":true,"url":"\u003cstring>"}}},"exampleType":"generated"}},"description":"OK","exampleType":"generated"}},"security":{"e264545a-47e8-422d-b2e9-615acd976828":{"authToken":{"bearerFormat":"JWT","description":"Use the `Bearer` scheme with a valid JWT token to authenticate requests. Example: `Authorization: Bearer \u003ctoken>`","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"a1bb5afe-6749-4d1e-9275-ad3af095084a":{"description":"production","url":"https://api.invopop.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"JWT","description":"Use the `Bearer` scheme with a valid JWT token to authenticate requests. Example: `Authorization: Bearer \u003ctoken>`","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Use the `Bearer` scheme with a valid JWT token to authenticate requests. Example: `Authorization: Bearer \u003ctoken>`","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"authToken","name":"Authorization"}],"title":"authToken"}]},"originalFileLocation":"openapi/silo_v1.yaml"},"subdomain":"invopop","siteName":"Invopop","title":"Create a file with ID - Invopop","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-22T09:12:38.285Z","originalFileLocation":"api-ref/silo/entries/files-put.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a url field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the format and attachment categories are allowed.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Invopop\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a file with ID - Invopop\">\u003cmeta data-mint-head property=\"og:description\" content=\"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a url field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the format and attachment categories are allowed.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Invopop\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.invopop.com/api-ref/silo/entries/files-put\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://invopop.mintlify.app/_mintlify/api/og/v2?division=Entries\u0026amp;title=Create+a+file+with+ID\u0026amp;description=Add+a+new+file+to+a+silo+entry+with+a+specific+UUID.+The+file+data+can+be+provided+inline+as+base64+encoded+data%2C+or+omitted+to+create+a+placeholder.+When+data+\u0026amp;theme=9123e067ce26f60f653b867d\u0026amp;signature=6fc7b557f4d478a579a82fb9b69b3a8e806099276acb67787c075644fe87282d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a file with ID - Invopop\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a url field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the format and attachment categories are allowed.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://invopop.mintlify.app/_mintlify/api/og/v2?division=Entries\u0026amp;title=Create+a+file+with+ID\u0026amp;description=Add+a+new+file+to+a+silo+entry+with+a+specific+UUID.+The+file+data+can+be+provided+inline+as+base64+encoded+data%2C+or+omitted+to+create+a+placeholder.+When+data+\u0026amp;theme=9123e067ce26f60f653b867d\u0026amp;signature=6fc7b557f4d478a579a82fb9b69b3a8e806099276acb67787c075644fe87282d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/invopop/HVc7roIt8SKteIfU/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Invopop\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#169958\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.invopop.com/api-ref/silo/entries/files-put\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/silo/entries/files-put.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.invopop.com/#organization\",\"name\":\"Invopop\",\"url\":\"https://docs.invopop.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/invopop/tvrHhZ01dWh1WgVy/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=tvrHhZ01dWh1WgVy\u0026q=85\u0026s=acee80bf7ace42a69f7bc31d48bac07d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.invopop.com#website\",\"name\":\"Invopop\",\"url\":\"https://docs.invopop.com\",\"publisher\":{\"@id\":\"https://docs.invopop.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.invopop.com/api-ref/silo/entries/files-put#webpage\",\"url\":\"https://docs.invopop.com/api-ref/silo/entries/files-put\",\"name\":\"Create a file with ID\",\"description\":\"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a url field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the format and attachment categories are allowed.\",\"dateModified\":\"2026-07-22T09:12:38.285Z\",\"isPartOf\":{\"@id\":\"https://docs.invopop.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.invopop.com/api-ref/silo/entries/files-put#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.invopop.com/api-ref/silo/entries/files-put#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Silo\",\"item\":\"https://docs.invopop.com/api-ref/silo/entries/fetch-all-entries\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Entries\",\"item\":\"https://docs.invopop.com/api-ref/silo/entries/fetch-all-entries\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create a file with ID\",\"item\":\"https://docs.invopop.com/api-ref/silo/entries/files-put\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.invopop.com/api-ref/silo/entries/files-put#apireference\",\"headline\":\"Create a file with ID\",\"name\":\"Create a file with ID\",\"description\":\"Add a new file to a silo entry with a specific UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a url field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the format and attachment categories are allowed.\",\"url\":\"https://docs.invopop.com/api-ref/silo/entries/files-put\",\"mainEntityOfPage\":{\"@id\":\"https://docs.invopop.com/api-ref/silo/entries/files-put#webpage\"},\"dateModified\":\"2026-07-22T09:12:38.285Z\",\"publisher\":{\"@id\":\"https://docs.invopop.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.invopop.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Invopop\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Invopop","nav":{"global":null,"tabs":[{"tab":"Get Started","icon":"compass","pages":[{"title":"Get Started","href":""}]},{"tab":"Platform","icon":"sidebar","pages":[{"title":"Platform","href":"/console"}]},{"tab":"Guides","icon":"map","pages":[{"title":"Guides","href":"/guides"}]},{"tab":"Apps","icon":"app-store","pages":[{"title":"Apps","href":"/apps"}]},{"tab":"API Reference","icon":"code","pages":[{"group":"API","pages":[{"title":"Introduction","icon":"info","href":"/api-ref/introduction"},{"title":"Technical glossary","icon":"book-open-cover","href":"/api-ref/glossary"},{"title":"Authentication","icon":"lock-a","href":"/api-ref/authentication"},{"title":"Idempotency","icon":"rotate-right","href":"/api-ref/idempotency"},{"title":"Versioning","icon":"code-branch","href":"/api-ref/versioning"},{"title":"Postman collections","sidebarTitle":"Postman","icon":"user-astronaut","href":"/api-ref/postman"}]},{"group":"Silo","icon":"database","pages":[{"group":"Entries","pages":[{"title":"Fetch all entries","openapi":"GET /silo/v1/entries","href":"/api-ref/silo/entries/fetch-all-entries"},{"title":"Search entries","openapi":"GET /silo/v1/search","href":"/api-ref/silo/entries/search-entries"},{"title":"Fetch an entry","sidebarTitle":"Fetch entry","openapi":"GET /silo/v1/entries/{id}","href":"/api-ref/silo/entries/fetch-an-entry"},{"title":"Fetch an entry version","sidebarTitle":"Fetch entry version","openapi":"GET /silo/v1/entries/{id}/versions/{version}","href":"/api-ref/silo/entries/fetch-entry-version"},{"title":"Fetch an entry by key","sidebarTitle":"Fetch entry by key","openapi":"GET /silo/v1/entries/key/{key}","href":"/api-ref/silo/entries/fetch-an-entry-by-key"},{"title":"Create an entry with ID","sidebarTitle":"Create entry","openapi":"PUT /silo/v1/entries/{id}","href":"/api-ref/silo/entries/create-an-entry-put"},{"title":"Create an entry without UUID","sidebarTitle":"Create entry (no ID)","openapi":"POST /silo/v1/entries","href":"/api-ref/silo/entries/create-an-entry-post"},{"title":"Update an entry","sidebarTitle":"Update entry","openapi":"PATCH /silo/v1/entries/{id}","href":"/api-ref/silo/entries/update-an-entry"},{"title":"Find related entries","openapi":"GET /silo/v1/entries/{id}/related","href":"/api-ref/silo/entries/find-related"},{"title":"Fetch a file","sidebarTitle":"Fetch file","openapi":"GET /silo/v1/entries/{entry_id}/files/{id}","description":"Download silo entry file's data. Content type and disposition will be set according to the source.","href":"/api-ref/silo/entries/files-fetch"},{"title":"Create a file with ID","sidebarTitle":"Create file","openapi":"PUT /silo/v1/entries/{entry_id}/files/{id}","href":"/api-ref/silo/entries/files-put"},{"title":"Create a file without UUID","sidebarTitle":"Create file (no ID)","openapi":"POST /silo/v1/entries/{entry_id}/files","description":"Add a new file to a silo entry without an explicit UUID. The file data can be provided inline as base64 encoded data, or omitted to create a placeholder. When data is not provided, you must provide sha256, size, and mime fields, and the response will include a `url` field that can be used to stream/upload the file contents directly via a PUT request to that URL. For non-enrolled users, only the `format` and `attachment` categories are allowed.","href":"/api-ref/silo/entries/files-post"}]},{"group":"GOBL","pages":[{"title":"Build GOBL document","openapi":"POST /silo/v1/gobl/build","href":"/api-ref/silo/gobl/build"},{"title":"Correct GOBL envelope","openapi":"POST /silo/v1/gobl/correct","href":"/api-ref/silo/gobl/correct"},{"title":"Sign GOBL document","openapi":"POST /silo/v1/gobl/sign","href":"/api-ref/silo/gobl/sign"}]},{"group":"Spool","pages":[{"title":"Upload a file","sidebarTitle":"Upload","openapi":"POST /silo/v1/spool","href":"/api-ref/silo/spool/upload"},{"title":"Download a file","sidebarTitle":"Download","openapi":"GET /silo/v1/spool/{key}","href":"/api-ref/silo/spool/download"},{"title":"Delete a file","sidebarTitle":"Delete","openapi":"DELETE /silo/v1/spool/{key}","href":"/api-ref/silo/spool/delete"}]}]},{"group":"Transform","icon":"arrow-right-arrow-left","pages":[{"group":"Workflows","pages":[{"title":"Fetch all workflows","openapi":"GET /transform/v1/workflows","href":"/api-ref/transform/workflows/fetch-all-workflows"},{"title":"Create a workflow","openapi":"PUT /transform/v1/workflows/{id}","href":"/api-ref/transform/workflows/create-a-workflow"},{"title":"Fetch a workflow","openapi":"GET /transform/v1/workflows/{id}","href":"/api-ref/transform/workflows/fetch-a-workflow"},{"title":"Update a workflow","openapi":"PATCH /transform/v1/workflows/{id}","href":"/api-ref/transform/workflows/update-a-workflow"}]},{"group":"Jobs","pages":[{"title":"Fetch all jobs","openapi":"GET /transform/v1/jobs","href":"/api-ref/transform/jobs/fetch-all-jobs"},{"title":"Create a job with a UUID","sidebarTitle":"Create a job","openapi":"PUT /transform/v1/jobs/{id}","href":"/api-ref/transform/jobs/create-a-job-put"},{"title":"Create a job without a UUID","sidebarTitle":"Create a job (no ID)","openapi":"POST /transform/v1/jobs","href":"/api-ref/transform/jobs/create-a-job-post"},{"title":"Fetch a job","openapi":"GET /transform/v1/jobs/{id}","href":"/api-ref/transform/jobs/fetch-a-job"},{"title":"Fetch a job by key","openapi":"GET /transform/v1/jobs/key/{key}","href":"/api-ref/transform/jobs/fetch-a-job-by-key"}]}]},{"group":"Sequences","icon":"list","pages":[{"title":"Introduction","href":"/api-ref/sequences/introduction"},{"group":"Series","pages":[{"title":"Overview","href":"/api-ref/sequences/series/overview"},{"title":"Fetch all series","openapi":"GET /sequence/v1/series","href":"/api-ref/sequences/series/fetch-all-series"},{"title":"Create a series","openapi":"PUT /sequence/v1/series/{id}","href":"/api-ref/sequences/series/create-a-series"},{"title":"Fetch a series","openapi":"GET /sequence/v1/series/{id}","href":"/api-ref/sequences/series/fetch-a-series"}]},{"group":"Entries","pages":[{"title":"Overview","href":"/api-ref/sequences/entries/overview"},{"title":"Fetch all series entries","openapi":"GET /sequence/v1/series/{series_id}/entries","href":"/api-ref/sequences/entries/fetch-all-series-entries"},{"title":"Create a series entry","openapi":"PUT /sequence/v1/series/{series_id}/entries/{id}","href":"/api-ref/sequences/entries/create-a-series-entry"},{"title":"Fetch a series entry","openapi":"GET /sequence/v1/series/{series_id}/entries/{id}","href":"/api-ref/sequences/entries/fetch-a-series-entry"}]}]},{"group":"Access","icon":"building","pages":[{"group":"Workspaces","pages":[{"title":"Fetch workspace","openapi":"GET /access/v1/workspace","href":"/api-ref/access/workspace/fetch"},{"title":"Update workspace","openapi":"PATCH /access/v1/workspace","href":"/api-ref/access/workspace/update"}]},{"group":"Enrollments","pages":[{"title":"Authorize enrollment","openapi":"POST /access/v1/enrollment/authorize","href":"/api-ref/access/enrollment/authorize"},{"title":"Fetch enrollment","openapi":"GET /access/v1/enrollment","href":"/api-ref/access/enrollment/fetch"},{"title":"Update enrollment","openapi":"PATCH /access/v1/enrollment","href":"/api-ref/access/enrollment/update"}]}]},{"group":"Apps","icon":"puzzle-piece","pages":[{"group":"AT Portugal","pages":[{"title":"Set AT credentials","openapi":"POST /apps/at-pt/v1/entry/{silo_entry_id}/credentials","href":"/api-ref/apps/at-pt/credentials"},{"title":"Register series","openapi":"POST /apps/at-pt/v1/entry/{silo_entry_id}/series","href":"/api-ref/apps/at-pt/series-register"},{"title":"List series","openapi":"GET /apps/at-pt/v1/entry/{silo_entry_id}/series","href":"/api-ref/apps/at-pt/series-list"},{"title":"Get series details","openapi":"GET /apps/at-pt/v1/entry/{silo_entry_id}/series/{id}","href":"/api-ref/apps/at-pt/series-get"},{"title":"Generate SAF-T report","openapi":"GET /apps/at-pt/v1/entry/{silo_entry_id}/saft","href":"/api-ref/apps/at-pt/saft"}]},{"group":"Colombia","pages":[{"title":"Fetch enablement status","openapi":"GET /apps/gov-co/v1/entries/{silo_entry_id}/enablement","href":"/api-ref/apps/gov-co/enablement-get"},{"title":"Submit test set","openapi":"POST /apps/gov-co/v1/entries/{silo_entry_id}/enablement","href":"/api-ref/apps/gov-co/enablement-submit"},{"title":"List resolutions","openapi":"GET /apps/gov-co/v1/entries/{silo_entry_id}/resolutions","href":"/api-ref/apps/gov-co/resolutions-list"},{"title":"Upload contingency resolution","openapi":"POST /apps/gov-co/v1/entries/{silo_entry_id}/resolutions/contingency","href":"/api-ref/apps/gov-co/resolutions-upload"}]},{"group":"PDF Generator","pages":[{"title":"Generate a PDF preview","openapi":"POST /apps/pdf/v1/preview","href":"/api-ref/apps/pdf/preview"}]},{"group":"France","pages":[{"title":"Look up directory entries by SIREN","openapi":"GET /apps/gov-fr/v1/directory/siren/{siren}","href":"/api-ref/apps/gov-fr/lookup-siren"},{"title":"Look up directory entries by electronic address","openapi":"GET /apps/gov-fr/v1/directory/identifier/{identifier}","href":"/api-ref/apps/gov-fr/lookup-identifier"},{"title":"Download agreement PDF","openapi":"GET /apps/gov-fr/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/gov-fr/agreement-fetch"},{"title":"Upload pre-signed agreement","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/gov-fr/agreement-upload"},{"title":"Upload identity image","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/identity","href":"/api-ref/apps/gov-fr/identity-upload"},{"title":"Sign agreement mandate","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/sign","href":"/api-ref/apps/gov-fr/sign"},{"title":"Confirm submission","openapi":"POST /apps/gov-fr/v1/entry/{silo_entry_id}/confirm","href":"/api-ref/apps/gov-fr/confirm"},{"title":"List migrations","openapi":"GET /apps/gov-fr/v1/migrations","href":"/api-ref/apps/gov-fr/migrations-list"},{"title":"List a silo entry's migrations","openapi":"GET /apps/gov-fr/v1/migrations/{silo_entry_id}","href":"/api-ref/apps/gov-fr/migrations-entry"},{"title":"Answer a migration request","openapi":"POST /apps/gov-fr/v1/migrations/{silo_entry_id}","href":"/api-ref/apps/gov-fr/migration-answer"},{"title":"Fetch e-reporting summary","openapi":"GET /apps/gov-fr/v1/reports/{siren}","href":"/api-ref/apps/gov-fr/reports-summary"},{"title":"List e-reporting periods","openapi":"GET /apps/gov-fr/v1/reports/{siren}/periods","href":"/api-ref/apps/gov-fr/reports-periods"},{"title":"Fetch an e-reporting period","openapi":"GET /apps/gov-fr/v1/reports/{siren}/periods/{period_id}","href":"/api-ref/apps/gov-fr/reports-period"},{"title":"Download a period's Flux 10 XML","openapi":"GET /apps/gov-fr/v1/reports/{siren}/periods/{period_id}/xml","href":"/api-ref/apps/gov-fr/reports-period-xml"},{"title":"Preview the current window's Flux 10 report","openapi":"GET /apps/gov-fr/v1/reports/{siren}/preview","href":"/api-ref/apps/gov-fr/reports-preview"}]},{"group":"Peppol","pages":[{"title":"Look up a Peppol participant","openapi":"GET /apps/peppol/v1/lookup","href":"/api-ref/apps/peppol/lookup-participant"},{"title":"Upload proof of ownership PDF","openapi":"POST /apps/peppol/v1/entry/{silo_entry_id}/ownership","href":"/api-ref/apps/peppol/ownership-upload"}]},{"group":"Poland","pages":[{"title":"Upload KSeF certificate","openapi":"POST /apps/gov-pl/v1/entry/{silo_entry_id}/certificate","href":"/api-ref/apps/gov-pl/certificate-upload"}]},{"group":"Saudi Arabia","pages":[{"title":"Submit OTP","openapi":"POST /apps/gov-sa/v1/entry/{silo_entry_id}/otp","href":"/api-ref/apps/gov-sa/otp-submit"}]},{"group":"SW Sapien","pages":[{"title":"Upload e.firma certificate","openapi":"POST /apps/sw-sapien/v1/entry/{silo_entry_id}/certificate","href":"/api-ref/apps/sw-sapien/certificate-upload"}]},{"group":"Spain","pages":[{"title":"Generate agreement PDF","openapi":"GET /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement","href":"/api-ref/apps/gov-es/agreement-fetch"},{"title":"Upload agreement PDF","openapi":"POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement","href":"/api-ref/apps/gov-es/agreement-upload"},{"title":"Upload identity image","openapi":"POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/identity","href":"/api-ref/apps/gov-es/identity-upload"},{"title":"Confirm","openapi":"POST /apps/gov-es/v1/entry/{silo_entry_id}/{system}/confirm","href":"/api-ref/apps/gov-es/confirm"},{"title":"Verify tax ID","openapi":"POST /apps/gov-es/v1/lookup","href":"/api-ref/apps/gov-es/lookup"}]},{"group":"VERI*FACTU","pages":[{"title":"Generate agreement PDF","openapi":"GET /apps/verifactu/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/verifactu/agreement-fetch"},{"title":"Upload agreement PDF","openapi":"POST /apps/verifactu/v1/entry/{silo_entry_id}/agreement","href":"/api-ref/apps/verifactu/agreement-upload"},{"title":"Upload identity image","openapi":"POST /apps/verifactu/v1/entry/{silo_entry_id}/identity","href":"/api-ref/apps/verifactu/identity-upload"},{"title":"Confirm","openapi":"POST /apps/verifactu/v1/entry/{silo_entry_id}/confirm","href":"/api-ref/apps/verifactu/confirm"}]}]},{"group":"Utils","icon":"wrench","pages":[{"title":"Ping","openapi":"GET /utils/v1/ping","href":"/api-ref/utils/ping"},{"title":"UUID","openapi":"GET /utils/v1/uuid","href":"/api-ref/utils/uuid"}]}]}]},"basePath":"","title":"Create a file with ID - Invopop","buildId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","deploymentId":"dpl_9VVk5y1P8k1ATeJguVngy9Q3cmbD","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DX1Meug0.js","utils-B_OMIQVC.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-ChxhRPMa.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CuKvD8Iv.js","snippetPresets-C5d7p2hp.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CfHcE8m4.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C1zZV314.js","shallow-CmQhqCJn.js","getApiPlaygroundDisplay-YRo9s1O7.js","CodeSnippet-RN1MTdfk.js","CodeSnippets-DKLPHxJA.js","Page-BAvA99GL.js","getPastedJson-bz0M41mU.js","icon-CsmhpPrv.js","MethodPill-CNGsVE77.js","DuplicateIcon-DilfU_Z2.js","createIcon-BdsYzQck.js","DynamicMarkdown-CbqEDjbV.js","SectionHeading-O6hXpFCN.js","axios-vUo_bRtp.js","Markdown-nKm-uidQ.js","clsx-ClVdStUn.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CIQkMg3R.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-ImrFS4Fy.js"]}